#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivitySailingaShopCFGData
{
	//编号
	int mId;
	//道具名称
	std::string mItemName;
	//道具id
	int mItemId;
	//道具数量
	int mItemCount;
	//所需VIP等级
	int mVipLevel;
	//权重
	int mWeight;
};

class M_ActivitySailingaShopCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySailingaShopCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySailingaShopCFGData* GetData(int Id);
	boost::unordered_map<int, M_ActivitySailingaShopCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivitySailingaShopCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivitySailingaShopCFGData> mMapData;
};
